Debian Bug report logs - #345729
Lockups with Radeon Mobility M6 LY on Xorg 6.9

Package: xserver-xorg-video-ati; Maintainer for xserver-xorg-video-ati is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-ati is src:xserver-xorg-video-ati.

Reported by: kmshanah@disenchant.net

Date: Tue, 3 Jan 2006 06:48:04 UTC

Severity: normal

Tags: patch

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to kmshanah@disenchant.net:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: kmshanah@disenchant.net
To: submit@bugs.debian.org
Subject: Lockups with Radeon Mobility M6 LY on Xorg 6.9
Date: Tue, 3 Jan 2006 17:10:16 +1030
[Message part 1 (text/plain, inline)]
Package: xserver-xorg
Version: 6.9.0.dfsg.1-1
Tags: sid

Since upgrading from xorg 6.8.2, I've had problems with the Radeon in
my laptop. With my normal config (below), the machine locks up with a
blank screen when starting X about 9/10 times. Occasionally it will
actually start up and once it's up, it seems perfectly stable
(including 3D accel as well).

Commenting out the dri module in the config file, the X starts up
properly almost every time, but it did still freeze a couple of
times. When I say "freeze" I mean I can't do anything from the local
keyboard, remote ssh sessions lock up, but the system still replies to
a ping. Sysrq keys work, but alt-sysrq-b only switches the display
backlight off and doesn't actually reboot.

Also, there are problems with VT switching. Switching away to a VT
works okay, but trying to switch back to X locks the machine. Maybe
that points to some part of the initialisation code?

This was happening on 2.6.14.4.  I've since tried upgrading to
2.6.15-rc7-git4 with drm.ko and radeon.ko compiled from the DRI cvs,
but the problem is the same.

So, in summary:
 - The laptop is frequently freezing on X startup
 - Disabling dri seems to make it less likely to happen
 - Switching to a VT and back always locks up the laptop
 - Once X starts successfully, there are no problems for that session
 - Never had any problems with Xorg 6.8.2

Logs and some system info attached.

Thanks,
Kevin.
[lspci.txt (text/plain, attachment)]
[cpuinfo.txt (text/plain, attachment)]
[xorg.conf (text/plain, attachment)]
[Xorg.0.log.frozen (text/plain, attachment)]
[Xorg.0.log.nodri (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Kevin Shanahan <kmshanah@disenchant.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 345729@bugs.debian.org (full text, mbox):

From: Kevin Shanahan <kmshanah@disenchant.net>
To: 345729@bugs.debian.org
Subject: Additional info
Date: Fri, 6 Jan 2006 14:37:59 +1030
Just a couple of additions to my previous info:

> - Switching to a VT and back always locks up the laptop
Better make that "almost always" as it did work a couple of times when
I did it without thinking about the lockup problem.

Perhaps this should be reported separately, but DPMS doesn't seem to
work properly any longer. If I do 'xset dpms force off' the lcd
backlight does go off, but it comes back on again after a few
seconds. Xscreensaver no longer switches off the backlight either.

I haven't had a chance to reproduce this one multiple times yet, but
after leaving my laptop on overnight last night (with the lid closed),
X was taking 100% CPU this morning but was still functioning normally
and nothing interesting appeared in X logs or syslog.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Kevin Shanahan <kmshanah@disenchant.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 345729@bugs.debian.org (full text, mbox):

From: Kevin Shanahan <kmshanah@disenchant.net>
To: 345729@bugs.debian.org
Subject: Possible fix
Date: Sun, 15 Jan 2006 12:33:24 +1030
I've had success after rebuilding the xserver-xorg and xserver-common
packages with this patch as suggested by dri-devel folks:
  http://lists.freedesktop.org/archives/xorg/2005-December/011679.html

This fixed the lockups on startup and also the VT switch problems.

I also installed the patched packages on my desktop which has a
"Radeon 64MB DDR" (R100 QD) and it doesn't cause any problems there.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 345729@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Kevin Shanahan <kmshanah@disenchant.net>, 345729@bugs.debian.org
Subject: Re: Bug#345729: Possible fix
Date: Sun, 15 Jan 2006 08:51:52 +0100
On Sun, 15 Jan 2006 the mental interface of
Kevin Shanahan told:

> I've had success after rebuilding the xserver-xorg and xserver-common
> packages with this patch as suggested by dri-devel folks:
>   http://lists.freedesktop.org/archives/xorg/2005-December/011679.html
> 
How did you managed to apply that patch cleanly? There are much
FAILED when I try to apply it to the Debian source file.

Elimar

-- 
  You cannot propel yourself forward by
  patting yourself on the back.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Kevin Shanahan <kmshanah@disenchant.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 345729@bugs.debian.org (full text, mbox):

From: Kevin Shanahan <kmshanah@disenchant.net>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 345729@bugs.debian.org
Subject: Re: Bug#345729: Possible fix
Date: Sun, 15 Jan 2006 21:08:17 +1030
[Message part 1 (text/plain, inline)]
On Sun, Jan 15, 2006 at 08:51:52AM +0100, Elimar Riesebieter wrote:
> How did you managed to apply that patch cleanly? There are much
> FAILED when I try to apply it to the Debian source file.

I placed the patch under the patches directory, added an entry to the
series file so it would be applied during the build and then made a
changelog entry to affect the version string. I've attached a patch
that should do all that:

   cd .../xorg-x11-6.9.0.dfsg.1/
   patch -p0 < .../radeon-mem-map-debian.patch
   dpkg-buildpackage -rfakeroot

Cheers,
Kevin.
[radeon-mem-map-debian.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 345729@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Kevin Shanahan <kmshanah@disenchant.net>, 345729@bugs.debian.org
Subject: Re: Bug#345729: Possible fix
Date: Sun, 15 Jan 2006 12:15:22 +0100
On Sun, 15 Jan 2006 the mental interface of
Kevin Shanahan told:

> On Sun, Jan 15, 2006 at 08:51:52AM +0100, Elimar Riesebieter wrote:
> > How did you managed to apply that patch cleanly? There are much
> > FAILED when I try to apply it to the Debian source file.
> 
> I placed the patch under the patches directory, added an entry to the
> series file so it would be applied during the build and then made a
> changelog entry to affect the version string. I've attached a patch
> that should do all that:
> 
>    cd .../xorg-x11-6.9.0.dfsg.1/
>    patch -p0 < .../radeon-mem-map-debian.patch
>    dpkg-buildpackage -rfakeroot
Did you checked your build-log (using debuild will create one)? The
patch from Benjamin Herrenschmidt definitely doesn't apply cleanly.


-- 
  Never make anything simple and efficient when a way 
  can be found to make it complex and wonderful ;-)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Kevin Shanahan <kmshanah@disenchant.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 345729@bugs.debian.org (full text, mbox):

From: Kevin Shanahan <kmshanah@disenchant.net>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 345729@bugs.debian.org
Subject: Re: Bug#345729: Possible fix
Date: Sun, 15 Jan 2006 22:18:18 +1030
On Sun, Jan 15, 2006 at 12:15:22PM +0100, Elimar Riesebieter wrote:
> Did you checked your build-log (using debuild will create one)? The
> patch from Benjamin Herrenschmidt definitely doesn't apply cleanly.

Well, I did have to make some minor edits - benh was using directories
called xc-HEAD.orig and xc-HEAD. I just changed them to xc.orig and
xc. Here's what I see in stampdir/log/patch:

Applying patch kmshanah/xorg-6.9-benh-radeon-mmap.diff
patching file xc/programs/Xserver/hw/xfree86/drivers/ati/radeon.h
patching file xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c
patching file xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
patching file xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
Hunk #4 succeeded at 5519 (offset 2 lines).
Hunk #5 succeeded at 5580 (offset 2 lines).
Hunk #6 succeeded at 5628 (offset 2 lines).
Hunk #7 succeeded at 5819 (offset 2 lines).
Hunk #8 succeeded at 5865 (offset 2 lines).
Hunk #9 succeeded at 6124 (offset 2 lines).
Hunk #10 succeeded at 6574 (offset 2 lines).
Hunk #11 succeeded at 6592 (offset 2 lines).
Hunk #12 succeeded at 6608 (offset 2 lines).
Hunk #13 succeeded at 6625 (offset 2 lines).
Hunk #14 succeeded at 6640 (offset 2 lines).
Hunk #15 succeeded at 6836 (offset 2 lines).
Hunk #16 succeeded at 6865 (offset 2 lines).
Hunk #17 succeeded at 7049 (offset 2 lines).
Hunk #18 succeeded at 7973 (offset 2 lines).
Hunk #19 succeeded at 8039 (offset 2 lines).
Hunk #20 succeeded at 8169 (offset 2 lines).
Hunk #21 succeeded at 8182 (offset 2 lines).
Hunk #22 succeeded at 8191 (offset 2 lines).
Hunk #23 succeeded at 8550 (offset 2 lines).
patching file xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h

Regards,
Kevin.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 345729@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Kevin Shanahan <kmshanah@disenchant.net>
Cc: 345729@bugs.debian.org
Subject: Re: Bug#345729: Possible fix
Date: Sun, 15 Jan 2006 12:58:01 +0100
[Message part 1 (text/plain, inline)]
On Sun, 15 Jan 2006 the mental interface of
Kevin Shanahan told:

> On Sun, Jan 15, 2006 at 12:15:22PM +0100, Elimar Riesebieter wrote:
> > Did you checked your build-log (using debuild will create one)? The
> > patch from Benjamin Herrenschmidt definitely doesn't apply cleanly.
> 
> Well, I did have to make some minor edits - benh was using directories
> called xc-HEAD.orig and xc-HEAD. I just changed them to xc.orig and
> xc. Here's what I see in stampdir/log/patch:

Sorry, I noticed that as well. I tried the original patch where all
the FAILED, fuzzes and offsets appeared. At the moment xorg is
compiling with your patch. Lets wait 'n see ;)

Elimar


-- 
  Excellent day for drinking heavily. 
  Spike the office water cooler;-)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 345729@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: debian-powerpc@lists.debian.org
Cc: 345914@bugs.debian.org, 345729@bugs.debian.org
Subject: Re: xorg-6.9.0
Date: Sun, 15 Jan 2006 17:17:32 +0100
On Thu, 12 Jan 2006 the mental interface of
Ben Racher told:

> Elimar Riesebieter wrote:
> 
> >Hi all,
> >
> >last night I upgraded to xorg 6.9.0.dfsg.1-2. First I had to do a
> >ldconfig by hand, because startx was complaining about missing libs.
> >
> >Starting X then freezes my PowerBook5,6 completely. No net, no
> >console.  So I had to hard reset the machine. I tried the following:
> >
> >Recreating a xorg.conf by dpkg-reconfigure -> no success
> >
> >Switching from ati(radeon) driver to fbdev -> no success, but no
> >freeze.
> >
> >Switching from 24 to 16 DefaultDepth + fbdev -> no success, X shows
> >the wm splashscreen with an cross cursor similar to the twm one but
> >shuts down after a while.
> >
> >Installing libgl1-mesa-dri in the hope r300 is used with radeon
> >driver -> frozen machine.
> >
> >Are there significant changes from 6.8.2 to 6.9.0 which I have
> >overseen?
> >
> >Elimar
> >
> > 
> I'm experiencing similar freezing on my powerbook 5,4 with ATI mobility radio 
> 9600, after upgrading to 6.9.0 Have you figured out what's wrong at all? Could 
> you point to any links, is it the ATI driver? I finally just downgraded back 
> down to 6.8.2 after fiddling with it forever... jeez, what a waste of time for 
> me. Thanks.

I've tried
http://lists.debian.org/debian-x/2006/01/msg00680.html
and were able to run X. But only in 2-D Mode. DRI doesn't work but
freezes with both xlibmesa and libgl1-mesa. The newest DRI modules
are in my kernel, though. The 2-D mode shows some errors related to
my synaptic driver which I didn't investigate yet.

Elimar


-- 
    .~.
    /V\   L   I   N   U   X
   /( )\ >Phear the Penguin<
   ^^-^^



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Javier Ramirez <javier.ramirez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 345729@bugs.debian.org (full text, mbox):

From: Javier Ramirez <javier.ramirez@gmail.com>
To: debian-powerpc@lists.debian.org, 345914@bugs.debian.org, 345729@bugs.debian.org
Subject: Re: xorg-6.9.0
Date: Sat, 21 Jan 2006 14:03:17 +0100
Hi,

Since xorg 6.9 I have been having trouble in my powerbook and the ATI
driver. I have follow some of the threads but still I get my X freeze.

"dmesg | grep drm" gets this:

[drm] Initialized radeon 1.19.0 20050911 on minor 0:

I have the kernel 2.6.15.1. I enable the DRM modules from the kernel
(radeon, my video card  is "0000:00:10.0 VGA compatible controller:
ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"

I have this erros in the log of Xorg:

".................
...................
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.so
(EE) LoadModule: Module drm does not have a drmModuleData data object.
(II) UnloadModule: "drm"
(II) Unloading /usr/X11R6/lib/modules/linux/libdrm.so
(II) UnloadModule: "dri"
(II) Unloading /usr/X11R6/lib/modules/extensions/libdri.so
(EE) Failed to load module "dri" (a required submodule could not be loaded, 0)
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
..............
....................
"

I would appreciate as much help as  possible.
Thanks for your time.

Orlando.




On 1/15/06, Elimar Riesebieter <riesebie@lxtec.de> wrote:
> On Thu, 12 Jan 2006 the mental interface ofv
> Ben Racher told:
>
> > Elimar Riesebieter wrote:
> >
> > >Hi all,
> > >
> > >last night I upgraded to xorg 6.9.0.dfsg.1-2. First I had to do a
> > >ldconfig by hand, because startx was complaining about missing libs.
> > >
> > >Starting X then freezes my PowerBook5,6 completely. No net, no
> > >console.  So I had to hard reset the machine. I tried the following:
> > >
> > >Recreating a xorg.conf by dpkg-reconfigure -> no success
> > >
> > >Switching from ati(radeon) driver to fbdev -> no success, but no
> > >freeze.
> > >
> > >Switching from 24 to 16 DefaultDepth + fbdev -> no success, X shows
> > >the wm splashscreen with an cross cursor similar to the twm one but
> > >shuts down after a while.
> > >
> > >Installing libgl1-mesa-dri in the hope r300 is used with radeon
> > >driver -> frozen machine.
> > >
> > >Are there significant changes from 6.8.2 to 6.9.0 which I have
> > >overseen?
> > >
> > >Elimar
> > >
> > >
> > I'm experiencing similar freezing on my powerbook 5,4 with ATI mobility radio
> > 9600, after upgrading to 6.9.0 Have you figured out what's wrong at all? Could
> > you point to any links, is it the ATI driver? I finally just downgraded back
> > down to 6.8.2 after fiddling with it forever... jeez, what a waste of time for
> > me. Thanks.
>
> I've tried
> http://lists.debian.org/debian-x/2006/01/msg00680.html
> and were able to run X. But only in 2-D Mode. DRI doesn't work but
> freezes with both xlibmesa and libgl1-mesa. The newest DRI modules
> are in my kernel, though. The 2-D mode shows some errors related to
> my synaptic driver which I didn't investigate yet.
>
> Elimar
>
>
> --
>     .~.
>     /V\   L   I   N   U   X
>    /( )\ >Phear the Penguin<
>    ^^-^^
>
>
> --
> To UNSUBSCRIBE, email to debian-powerpc-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>
>


--
-----------
Javier O. Ramírez Martínez
Key fingerprint = E7D8 22DC 5B71 72DC A06A  61F4 D823 35ED 2E67 CFB2
linux.mty.itesm.mx/~oramirez



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 345729@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 345729@bugs.debian.org
Cc: control@bugs.debian.org
Subject: confirmation that this patch works
Date: Thu, 26 Jan 2006 15:27:12 +0100
[Message part 1 (text/plain, inline)]
tags +patch

I rebuilt x11-xorg with the patch from Kevin Shanahan contained in this
bug report and the patch solves the problem. I think it is save to apply
this patch to the next upload of the package.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 345729@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Gaudenz Steinlin <gaudenz@debian.org>, 345729@bugs.debian.org
Subject: Re: Bug#345729: confirmation that this patch works
Date: Thu, 26 Jan 2006 16:00:58 +0100
Tschou Goudi ;)

On Thu, 2006-01-26 at 15:27 +0100, Gaudenz Steinlin wrote:
> 
> I rebuilt x11-xorg with the patch from Kevin Shanahan contained in this
> bug report and the patch solves the problem. I think it is save to apply
> this patch to the next upload of the package.

No, it causes regressions of its own on some setups. This is still being
hashed out upstream.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Bothamy <frederic.bothamy@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 345729@bugs.debian.org (full text, mbox):

From: Frédéric Bothamy <frederic.bothamy@free.fr>
To: Gaudenz Steinlin <gaudenz@debian.org>, 345729@bugs.debian.org
Subject: Re: Bug#345729: confirmation that this patch works
Date: Thu, 26 Jan 2006 16:34:40 +0100
* Gaudenz Steinlin <gaudenz@debian.org> [2006-01-26 15:27] :
> tags +patch
> 
> I rebuilt x11-xorg with the patch from Kevin Shanahan contained in this
> bug report and the patch solves the problem. I think it is save to apply
> this patch to the next upload of the package.

Hello,

I think that this bug is the same as bug #345929 in the Debian BTS and
according to this bug, the issue is not completely solved. I have tried
the patch mentioned in both bugs and while I have had fewer freezes with
it thant without, I still had some from time to time (after a few hours
of uptime).

Greetings,


Fred



Tags added: patch Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 345729@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Javier Ramirez <javier.ramirez@gmail.com>
Cc: debian-powerpc@lists.debian.org, 345914@bugs.debian.org, 345729@bugs.debian.org
Subject: Re: xorg-6.9.0
Date: Mon, 30 Jan 2006 15:16:08 +0100
On Sat, 2006-01-21 at 14:03 +0100, Javier Ramirez wrote: 
> 
> (II) Loading /usr/X11R6/lib/modules/linux/libdrm.so
> (EE) LoadModule: Module drm does not have a drmModuleData data object.

Is this /usr/X11R6/lib/modules/linux/libdrm.so as shipped by
xserver-xorg? Note that /usr/lib/libdrm.so.2.0.0 from libdrm2 is not the
same thing nor interchangeable.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Rektide <rektide@eldergods.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 345729@bugs.debian.org (full text, mbox):

From: Rektide <rektide@eldergods.com>
To: Debian Bug Tracking System <345729@bugs.debian.org>
Subject: xserver-xorg: status update?
Date: Sat, 08 Apr 2006 17:49:51 -0400
Package: xserver-xorg
Followup-For: Bug #345729

Whats up with this bug?  I'm still holding on xserver-xorg 6.8.2-10 forfear of 
my systems' life.  Id like to go to 7.0, but its been two months since I've
heard anything from this.  I've had some 'accidents' already that've left
me stranded without X for a week ro two while on the road.  Can us neolithic 
mobility users rejoin the herd?

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (100, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.6-xenU
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 345729@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: Rektide <rektide@eldergods.com>, 345729@bugs.debian.org
Subject: Re: Bug#345729: xserver-xorg: status update?
Date: Sat, 08 Apr 2006 18:17:15 -0400
On Sat, Apr 08, 2006 at 05:49:51PM -0400, Rektide wrote:
> Package: xserver-xorg
> Followup-For: Bug #345729
> 
> Whats up with this bug?  I'm still holding on xserver-xorg 6.8.2-10 forfear of 
> my systems' life.  Id like to go to 7.0, but its been two months since I've
> heard anything from this.  I've had some 'accidents' already that've left
> me stranded without X for a week ro two while on the road.  Can us neolithic 
> mobility users rejoin the herd?

Once modular is in good shape I'll be updating the ati driver to the latest
stable branch to try and get this bug fixed. Since upstream hasn't made a
tarball release, I've been hesitant to update it while all of the Xorg
packages are in flux, but once things are settled this will be the top
priority update.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 345729@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: Rektide <rektide@eldergods.com>, 345729@bugs.debian.org
Subject: Re: Bug#345729: xserver-xorg: status update?
Date: Sat, 08 Apr 2006 18:51:34 -0400
On Sat, Apr 08, 2006 at 06:43:28PM -0400, Rektide wrote:
> On Sat, Apr 08, 2006 at 06:17:15PM -0400, David Nusinow wrote:
> > On Sat, Apr 08, 2006 at 05:49:51PM -0400, Rektide wrote:
> > > Package: xserver-xorg
> > > Followup-For: Bug #345729
> > > 
> > > Whats up with this bug?  I'm still holding on xserver-xorg 6.8.2-10 forfear of 
> > > my systems' life.  Id like to go to 7.0, but its been two months since I've
> > > heard anything from this.  I've had some 'accidents' already that've left
> > > me stranded without X for a week ro two while on the road.  Can us neolithic 
> > > mobility users rejoin the herd?
> > 
> > Once modular is in good shape I'll be updating the ati driver to the latest
> > stable branch to try and get this bug fixed. Since upstream hasn't made a
> > tarball release, I've been hesitant to update it while all of the Xorg
> > packages are in flux, but once things are settled this will be the top
> > priority update.
> > 
> >  - David Nusinow
> 
> Many thanks for the update, just been in the dark a little too long.  Thanks for
> the sunshine.
> 
> Where should I expect the fix?  in xserver-xorg-video-ati?

Exactly.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Kevin Shanahan <kmshanah@disenchant.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #92 received at 345729@bugs.debian.org (full text, mbox):

From: Kevin Shanahan <kmshanah@disenchant.net>
To: 345729@bugs.debian.org
Subject: Fixed in modular?
Date: Tue, 18 Apr 2006 21:03:57 +0930
Although from David's comments it doesn't sound like modular has been
patched yet, I've been using 7.0 for the last few days with no
problem.

kmshanah@arakasi:~$ dpkg -l 'xserver*' | grep ii
ii  xserver-xorg                     7.0.14         the X.Org X server
ii  xserver-xorg-core                1.0.2-5        X.Org X server -- core server
ii  xserver-xorg-input-evdev         1.0.0.5-2      X.Org X server -- evdev input driver
ii  xserver-xorg-input-kbd           1.0.1.3-2      X.Org X server -- keyboard input driver
ii  xserver-xorg-input-mouse         1.0.4-2        X.Org X server -- mouse input driver
ii  xserver-xorg-video-ati           6.5.7.3-3      X.Org X server -- ATI display driver



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Nils <linuxuser@knabber.homelinux.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 345729@bugs.debian.org (full text, mbox):

From: Nils <linuxuser@knabber.homelinux.net>
To: 345729@bugs.debian.org
Cc: kmshanah@disenchant.net
Subject: Fixed in modular?
Date: Mon, 24 Apr 2006 09:39:34 +0200
Is it really fixed ? 
It seems that it affects only some notebooks, e.g. many IBM Thinkpads. These 
models were useless for a long time and debian X > 6.8.2.
If your model was affected and it seems to be fixed now, I will try it. Then I 
could also confirm that this bug is fixed. (I use a radeon M10 / T41p)

[Is there any problem to update to xserver-xorg-video-ati 6.6.0, which is stil 
released and seems to be more bug free.]

Regards,
Nils



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 345729@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Nils <linuxuser@knabber.homelinux.net>, 345729@bugs.debian.org
Cc: kmshanah@disenchant.net
Subject: Re: Bug#345729: Fixed in modular?
Date: Mon, 24 Apr 2006 10:03:45 +0200
On Mon, 2006-04-24 at 09:39 +0200, Nils wrote:
> 
> [Is there any problem to update to xserver-xorg-video-ati 6.6.0, which is stil 
> released and seems to be more bug free.]

It requires xserver 1.1. The CVS ati-1-0-branch has most of the fixes
and could be packaged for xserver 1.0 though.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Nils <linuxuser@knabber.homelinux.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 345729@bugs.debian.org (full text, mbox):

From: Nils <linuxuser@knabber.homelinux.net>
To: 345729@bugs.debian.org
Subject: Re: Bug#345729: Fixed in modular?
Date: Tue, 25 Apr 2006 08:15:11 +0200
> It requires xserver 1.1. The CVS ati-1-0-branch has most of the fixes
> and could be packaged for xserver 1.0 though.

Is there any plan to do that ? (Upload to experimental or unstable?)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 345729@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Nils <linuxuser@knabber.homelinux.net>, 345729@bugs.debian.org
Subject: Re: Bug#345729: Fixed in modular?
Date: Tue, 25 Apr 2006 08:32:59 +0200
On Tue, 2006-04-25 at 08:15 +0200, Nils wrote:
> > It requires xserver 1.1. The CVS ati-1-0-branch has most of the fixes
> > and could be packaged for xserver 1.0 though.
> 
> Is there any plan to do that ? (Upload to experimental or unstable?)

An upstream release from that branch appears imminent. Once that's out,
nothing (other than lack of time) should prevent packaging it for sid.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Tags removed: sid Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xserver-xorg' to `xserver-xorg-video-ati'. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Thu, 24 May 2007 19:27:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to 345729@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #121 received at 345729@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: kmshanah@disenchant.net, Elimar Riesebieter <riesebie@lxtec.de>, Javier Ramirez <javier.ramirez@gmail.com>, Frédéric Bothamy <frederic.bothamy@free.fr>, Rektide <rektide@eldergods.com>, Nils <linuxuser@knabber.homelinux.net>
Cc: 345729@bugs.debian.org
Subject: Bug#345729: Lockups with Radeon Mobility M6 LY on Xorg 6.9
Date: Tue, 19 Jun 2007 22:51:12 +0200
Hi,

About a year ago, you reported (or replied to) a bug in the Debian BTS
regarding some lockups when using the ATI driver of Xorg 6.9 on a Radeon
board. Did any of you guys reproduce this problem recently? With
Xorg/Etch? With latest xserver-xorg-core and drivers? If not, I will
close this bug in the next weeks.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #126 received at 345729@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 345729@bugs.debian.org
Cc: kmshanah@disenchant.net, Javier Ramirez <javier.ramirez@gmail.com>, Frédéric Bothamy <frederic.bothamy@free.fr>, Rektide <rektide@eldergods.com>, Nils <linuxuser@knabber.homelinux.net>
Subject: Re: Bug#345729: Lockups with Radeon Mobility M6 LY on Xorg 6.9
Date: Tue, 19 Jun 2007 23:37:00 +0200
On Tue, 19 Jun 2007 the mental interface of
Brice Goglin told:

> Hi,
> 
> About a year ago, you reported (or replied to) a bug in the Debian BTS
> regarding some lockups when using the ATI driver of Xorg 6.9 on a Radeon
> board. Did any of you guys reproduce this problem recently? With
> Xorg/Etch? With latest xserver-xorg-core and drivers? If not, I will
> close this bug in the next weeks.

X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Debian
Current Operating System: Linux aragorn 2.6.22-rc5-aragorn #1 Sun Jun 17 10:22:42 CEST 2007 ppc
Build Date: 04 June 2007
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present

Runs very well on my powerbook:

0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

FMPOV bug can be closed.

Elimar

-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to kmshanah@disenchant.net:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #131 received at 345729@bugs.debian.org (full text, mbox):

From: kmshanah@disenchant.net
To: 345729@bugs.debian.org
Subject: Re: Bug#345729: Lockups with Radeon Mobility M6 LY on Xorg 6.9
Date: Wed, 20 Jun 2007 08:17:10 +0930
On Tue, Jun 19, 2007 at 10:51:12PM +0200, Brice Goglin wrote:
> About a year ago, you reported (or replied to) a bug in the Debian
> BTS regarding some lockups when using the ATI driver of Xorg 6.9 on
> a Radeon board. Did any of you guys reproduce this problem recently?
> With Xorg/Etch? With latest xserver-xorg-core and drivers? If not, I
> will close this bug in the next weeks.

No problems at all since the upgrade to 7.0 (modular).

Cheers,
Kevin.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#345729; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to rektide <rektide@voodoowarez.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #136 received at 345729@bugs.debian.org (full text, mbox):

From: rektide <rektide@voodoowarez.com>
To: 345729@bugs.debian.org
Subject: Re: Bug#345729: Lockups with Radeon Mobility M6 LY on Xorg 6.9
Date: Fri, 6 Jul 2007 18:29:35 -0400
On Tue, Jun 19, 2007 at 10:51:12PM +0200, Brice Goglin wrote:

The latest series have all been working fine, thanks.  Suspend to ram too, haza!

> Hi,
> 
> About a year ago, you reported (or replied to) a bug in the Debian BTS
> regarding some lockups when using the ATI driver of Xorg 6.9 on a Radeon
> board. Did any of you guys reproduce this problem recently? With
> Xorg/Etch? With latest xserver-xorg-core and drivers? If not, I will
> close this bug in the next weeks.
> 
> Thanks,
> Brice
> 



Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to kmshanah@disenchant.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #141 received at 345729-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 345929-done@bugs.debian.org, 345839-done@bugs.debian.org, 345729-done@bugs.debian.org, 261104-done@bugs.debian.org
Subject: closing
Date: Tue, 24 Jul 2007 09:24:41 +0200
Closing now since some people replied it was fixed for them and the
others didn't reply at all to my ping one month ago.

Brice




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2007 07:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:03:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.